Subject: Re: bug#12733: 24.2.50; Disabling menu bar doesn't resize frame correctly --with-x-toolkit=motif

From: Jan Djärv <[email-masked]>
Date: Tue, 30 Oct 2012 19:42:57 +0100

Hello.

29 okt 2012 kl. 12:53 skrev Ulrich Mueller <[email-masked]>:

>>>>>> On Thu, 25 Oct 2012, Ulrich Mueller wrote:
> 
>> With Emacs from BZR (revision 110662) linked against the Motif toolkit
>> (version 2.3.4), I observe that after disabling the menu bar, the
>> frame doesn't have the correct height. The result is that the modeline
>> and the minibuffer are no longer visible.
> 
>> Steps to reproduce:
> 
>>   $ emacs -Q
> 
>>   ;; Lisp Interaction Mode:
>>   (frame-pixel-height)
>>   608
> 
> In fact, there's already an inconsistency here. The documentation of
> frame-pixel-height says:
> 
>   With the Motif or Lucid toolkits, it also includes the tool bar
>   (but not the menu bar).
> 
> However, if I measure the height on my screen, it is 608 pixels in
> total, i.e. including _both_ the tool bar and the menu bar. (I see the
> same inconsistency if configured --with-x-toolkit=lucid, BTW.)
> 
> Is it an error in the code or in the documentation?

I've fixed the documentation.

> 
>>   (frame-height)
>>   38
>>   (menu-bar-mode -1)
>>   nil
>>   ;; At this point, the X window shrinks by the height of the menu bar.
>>   ;; However, the bottom of the frame contents (containing modeline and
>>   ;; minibuffer) are no longer visible.

Do they appear if you resize the frame a bit?

> 
>>   (frame-pixel-height)
>>   608
> 
> This value is definitely wrong. Measured height is only 572 pixels.
> 
>>   ;; Number of lines is _larger_ than before:
>>   (frame-height)
>>   40

I can't reproduce the problem.  It sounds as Emacs does not get the resize event from your window manager.  Can you try with another window manager?  What are you using now?

	Jan D.